package com.engine.organization.enums;

/**
 * @author:dxfeng
 * @createTime: 2023/08/14
 * @version: 1.0
 */
public enum QuickSearchConditionEnum {

    /**
     * 字段类型
     */
    SELECT("5"), DATETIME("3"),NUMBER("1"),RESOURCE("-1"),MEETING("-3"),WAREHOUSE("-5");

    private String value;

    QuickSearchConditionEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static QuickSearchConditionEnum getByValue(String value) {
        for (QuickSearchConditionEnum conditionEnum : values()) {
            if (conditionEnum.getValue().equals(value)) {
                return conditionEnum;
            }
        }
        return null;
    }
}
